All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::HandGpuRenderer Class Reference

`#include <handGpuRenderer.hpp>`

Inherits op::GpuRenderer, and op::HandRenderer.

## Public Member Functions

| HandGpuRenderer (const float renderThreshold, const float alphaKeypoint=HAND_DEFAULT_ALPHA_KEYPOINT, const float alphaHeatMap=HAND_DEFAULT_ALPHA_HEAT_MAP)
virtual | ~HandGpuRenderer ()
void | initializationOnThread ()
void | renderHandInherited (Array< float > &outputData, const std::array< Array< float >, 2 > &handKeypoints)
Public Member Functions inherited from op::GpuRenderer
| GpuRenderer (const float renderThreshold, const float alphaKeypoint, const float alphaHeatMap, const bool blendOriginalFrame=true, const unsigned int elementToRender=0u, const unsigned int numberElementsToRender=0u)
virtual | ~GpuRenderer ()
std::tuple< std::shared_ptr < float * >, std::shared_ptr < bool >, std::shared_ptr < std::atomic< unsigned int > >, std::shared_ptr < std::atomic< unsigned long long > >, std::shared_ptr < const unsigned int > > | getSharedParameters ()
void | setSharedParametersAndIfLast (const std::tuple< std::shared_ptr< float * >, std::shared_ptr< bool >, std::shared_ptr< std::atomic< unsigned int >>, std::shared_ptr< std::atomic< unsigned long long >>, std::shared_ptr< const unsigned int >> &tuple, const bool isLast)
Public Member Functions inherited from op::Renderer
| Renderer (const float renderThreshold, const float alphaKeypoint, const float alphaHeatMap, const bool blendOriginalFrame=true, const unsigned int elementToRender=0u, const unsigned int numberElementsToRender=0u)
virtual | ~Renderer ()
void | increaseElementToRender (const int increment)
void | setElementToRender (const int elementToRender)
void | setElementToRender (const ElementToRender elementToRender)
bool | getBlendOriginalFrame () const
void | setBlendOriginalFrame (const bool blendOriginalFrame)
float | getAlphaKeypoint () const
void | setAlphaKeypoint (const float alphaKeypoint)
float | getAlphaHeatMap () const
void | setAlphaHeatMap (const float alphaHeatMap)
bool | getShowGooglyEyes () const
void | setShowGooglyEyes (const bool showGooglyEyes)
Public Member Functions inherited from op::HandRenderer
virtual | ~HandRenderer ()
void | renderHand (Array< float > &outputData, const std::array< Array< float >, 2 > &handKeypoints, const float scaleInputToOutput)

## Additional Inherited Members

Protected Member Functions inherited from op::GpuRenderer
void | cpuToGpuMemoryIfNotCopiedYet (const float *const cpuMemory, const unsigned long long memoryVolume)
void | gpuToCpuMemoryIfLastRenderer (float *cpuMemory, const unsigned long long memoryVolume)
Protected Attributes inherited from op::GpuRenderer
std::shared_ptr< float * > | spGpuMemory
Protected Attributes inherited from op::Renderer
const float | mRenderThreshold
std::atomic< bool > | mBlendOriginalFrame
std::shared_ptr< std::atomic < unsigned int > > | spElementToRender
std::shared_ptr< const unsigned int > | spNumberElementsToRender
std::atomic< bool > | mShowGooglyEyes

## Constructor & Destructor Documentation

op::HandGpuRenderer::HandGpuRenderer | ( | const float | renderThreshold,
|  | const float | alphaKeypoint = `HAND_DEFAULT_ALPHA_KEYPOINT`,
|  | const float | alphaHeatMap = `HAND_DEFAULT_ALPHA_HEAT_MAP`
| ) |  |

virtual op::HandGpuRenderer::~HandGpuRenderer | ( |  | ) |

virtual

## Member Function Documentation

void op::HandGpuRenderer::initializationOnThread | ( |  | ) |

virtual

Reimplemented from op::HandRenderer.

void op::HandGpuRenderer::renderHandInherited | ( | Array< float > & | outputData,
|  | const std::array< Array< float >, 2 > & | handKeypoints
| ) |  |

virtual

Implements op::HandRenderer.

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/hand/handGpuRenderer.hpp